const fs = require('fs');
const p = JSON.parse(fs.readFileSync('./package.json.orig', 'utf8'));
delete p.devDependencies;
delete p.engines;
if (p.dependencies && p.dependencies['@enchun/shared']) {
  p.dependencies['@enchun/shared'] = 'file:./shared';
}
fs.writeFileSync('./package.json', JSON.stringify(p, null, 2));
fs.unlinkSync('./package.json.orig');
